/* Common Exception handling
   Copyright (c) 2010 Networked Systems Group, University of Kaiserslautern

This file is part of the Imote2 Image Loader.

The Imote2 Image Loader is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

The Imote2 Image Loader is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with the Imote2 Image Loader. If not, see <http://www.gnu.org/licenses/>.
*/
#ifndef EXCEPTIONS_H
#define EXCEPTIONS_H

/** \brief forward declaration of undefined instruction handler */
__attribute__((interrupt("UNDEF")))
void hplarmv_undef();

/** \brief forward declaration of software interrupt handler */
__attribute__((interrupt("SWI")))
void hplarmv_swi();

/** \brief forward declaration of data abort handler */
__attribute__((interrupt("ABORT")))
void hplarmv_dabort();

/** \brief forward declaration of prefetch abort handler */
__attribute__((interrupt("ABORT")))
void hplarmv_pabort();

/** \brief Forward declaration of interrupt handler */
__attribute__((interrupt("IRQ")))
void hplarmv_irq();

/** \brief forward declaration of fast interrupt handler */
__attribute__((interrupt("FIQ")))
void hplarmv_fiq();

#endif
